Vagrant.configure("2") do |config|
  config.vm.box = "bento/debian-12"

  config.vm.define "cchauvetS" do |server|
    server.vm.hostname = "cchauvetS"
    server.vm.network "private_network", :ip => "192.168.56.110"
    server.vm.provider "virtualbox" do |vb|
      vb.memory = "2048"
      vb.cpus = "2"
    end
    server.vm.provision "shell", path: "scripts/server.sh"
  end

  config.vm.define "cchauvetSW" do |agent|
    agent.vm.hostname = "cchauvetSW"
    agent.vm.network "private_network", :ip => "192.168.56.111"
    agent.vm.provider "virtualbox" do |vb|
      vb.memory = "512"
      vb.cpus = "1"
    end
    agent.vm.provision "shell", path: "scripts/agent.sh", args: ["192.168.56.110"]
  end

end
